{% extends 'base.html.twig' %}

{% block stylesheets %}
    {{ parent() }}
    {{ encore_entry_link_tags('company_location_management/looking_for_property_request/mass_operation/delete') }}
{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ encore_entry_script_tags('company_location_management/looking_for_property_request/mass_operation/delete') }}
{% endblock %}

{% block mainHeader %}
    <div class="container-fluid d-flex bg-white justify-content-start px-4 py-4 flex-wrap">
        {% set lookingForPropertyRequestOverviewLastVisitedPage = fetch_object_from_session('App\\Domain\\Entity\\LastVisitedPage', 'lookingForPropertyRequestOverview') %}
        {% if lookingForPropertyRequestOverviewLastVisitedPage != null %}
            {% set lookingForPropertyRequestOverviewPagePath = path(lookingForPropertyRequestOverviewLastVisitedPage.getRouteName(), lookingForPropertyRequestOverviewLastVisitedPage.getParameters())  %}
        {% else %}
            {% set lookingForPropertyRequestOverviewPagePath = path('company_location_management_looking_for_property_request_overview')  %}
        {% endif %}
        <a href="{{ lookingForPropertyRequestOverviewPagePath }}" class="me-2 d-flex align-items-center text-decoration-none"><i class="material-icons md-36">arrow_back</i></a>
        <span class="text-primary fs-5 align-self-center">Gesuche löschen <span class="text-secondary">({{ lookingForPropertyRequests|length }})</span></span>
        {{ form_widget(lookingForPropertyRequestMassOperationDeleteForm.delete, {'label': 'LÖSCHEN', 'id': lookingForPropertyRequestMassOperationDeleteForm.delete.vars.id ~ '_submit_button', 'attr': {'class': 'mdc-button mdc-button--raised mdc-button--leading ms-auto delete-button align-self-center'}}) }}
    </div>
{% endblock %}
{% block main %}
    <div class="container-lg mt-4">
        <div class="mdc-card mb-4">
            <div class="p-3">
                <h1 class="fs-4 d-flex align-items-center">
                    <span class="material-icons me-2 text-danger">warning_amber</span>
                    Die Gesuche und alle verknüpften Daten werden unwiderruflich gelöscht.
                </h1>
                <p>
                    Um die ausgewählten Gesuche endgültig zu löschen, müssen Sie zuerst den folgenden Code eingeben:
                    <span class="delete-code">gesuche_{{ lookingForPropertyRequests|length }}</span>
                </p>
                {{ form_start(lookingForPropertyRequestMassOperationDeleteForm, {'attr': {'id': lookingForPropertyRequestMassOperationDeleteForm.vars.id ~ '_form', 'autocomplete': 'off'}}) }}
                {{ form_row(lookingForPropertyRequestMassOperationDeleteForm.verificationCode) }}
                {{ form_row(lookingForPropertyRequestMassOperationDeleteForm.selectedRowIds) }}
                {{ form_row(lookingForPropertyRequestMassOperationDeleteForm._token) }}
                {{ form_end(lookingForPropertyRequestMassOperationDeleteForm, {'render_rest': false}) }}
            </div>
        </div>
        <div class="mdc-card mb-4">
            {% include 'company_location_management/component/looking_for_property_request/looking_for_property_request_list_component.html.twig' with {
                'idPrefix': 'looking_for_property_request_',
                'listItems': lookingForPropertyRequests,
                'showActionButton': false,
                'massOperation': false,
                'pagination': false,
                'sortable': false
            } only %}
        </div>
    </div>
{% endblock %}
